% Check moments and correlation matrix
% of data generated by ic_rnd (version 1.1).
% (ic_rnd uses the Matlab routine 'filter' to impose
%  the required auto-correlation on a set of white noise sources;
%  we assume that the 'filter' routine is reliable.)
%
% Version 1.1 (26.11.2007):
% Author: Milton Woods,
%   CSIRO Marine and Atmospheric Research (Canberra, Australia)

vcorrcoef=[1.0 0.7 0.3; ...
           0.7 1.0 -0.2; ...
           0.3 -0.2 1.0];
fircoef=[1.1 0.1;
0.9 -0.1;
0.2 0.1];
vmu1=[-1 1 0]';
vmu2=[0.8 1.2 1]';
vskew=[-0.2 0 0.2]';
vkurt=[4 3 2.2]';
[v,x,smom,A,s,slambda,sbeta]=ic_rnd(vcorrcoef,fircoef,vmu1,vmu2,vskew,vkurt,500000);

% Show moments:
disp('Original moments:')
vmom=[vmu1 vmu2 vskew vkurt];
disp(num2str(vmom))

disp('New moments:')
nr=size(vcorrcoef,1);
vmom2=zeros(nr,4);
for ii=1:nr
  vmom2(ii,:)=moments(v(ii,:))';
end
disp(num2str(vmom2))

% Show correlations:
disp('Original correlation matrix:')
disp(num2str(vcorrcoef))

disp('New correlation matrix:')
vcor2=corrcoef(v');
disp(num2str(vcor2))

