function m=moments(x);
% MOMENTS  Calculate moments of the pdf of a dataset
%
% SYNTAX   m=moments(x);
% x        The input data as a vector or array
% m        Vector containing, in order, the mean, variance,
%          skewness and kurtosis of the data.

% Version 1.0 (26.11.2007):
% Author: Milton Woods,
%   CSIRO Marine and Atmospheric Research (Canberra, Australia)

idx=find(isfinite(x));

m=zeros(4,1);
m(1)=mean(x(idx));

xd=x(idx)-m(1);

tmp=xd.*xd;
m(2)=mean(tmp);

tmp=tmp.*xd;
m(3)=mean(tmp)/m(2)^1.5;

tmp=tmp.*xd;
m(4)=mean(tmp)/m(2)^2;

